Bug 70112 - [RFE] resume downloads
[RFE] resume downloads
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-07-30 10:59 EDT by James Manning
Modified: 2015-01-07 18:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-05 16:57:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Manning 2002-07-30 10:59:48 EDT
I have 2 machines on the sad end of dialup connections that will likely never
see a successful glibc update because their dialup connections don't stay up and
stable long enough to fetch glibc-common.  As an example

[root@bp6 up2date]# ls -ltr /var/spool/up2date/glibc-common-2.2.4-27.i386.*
-rw-r--r--    1 root     root       554561 Jul 29 01:03
-rw-r--r--    1 root     root      8962048 Jul 30 10:51

so it's made it most of the way through downloading the package.  But, if I run
up2date again:

Retrieving selected packages...
glibc-2.2.4-27.i686.rpm:    ########################## Done.
glibc-common-2.2.4-27.i386.                              1 k/sec, 01:39:41 rem.

and sure enough, I can kiss that progress from over an hour of download attempt
goodbye :(

[root@bp6 up2date]# ls -ltr /var/spool/up2date/glibc-common-2.2.4-27.i386.*
-rw-r--r--    1 root     root       554561 Jul 29 01:03
-rw-r--r--    1 root     root        28672 Jul 30 10:57

No wonder my dialup machines never update after I schedule actions for them :-/

Oh, and technically this is a RHL 7.2 machine, but AFAICT this is still an issue
with the existing limbo2 although I'll confirm that later today
Comment 1 James Manning 2002-07-30 11:19:10 EDT
whoops, tossing down to low/enh

and i know this may be non-trivial given the xml-rpc nature of what's going on,
but  checking for the file existing and sending the current size (as an offset
of where to start, ala ftp or doing a range like http or whatever) seems doable,
i hope.
Comment 2 Adrian Likins 2004-04-05 16:57:52 EDT
Current versions of up2date (fedora and rhel3) will
attempt to recontinue an incomplete download.

Note You need to log in before you can comment on or make changes to this bug.